%% demo3

%% initialize

clear
rgb = im2double(imread('birds1.jpg'));

imshow(rgb);

%% select pixel values

% [c r p] = impixel
% save demo3 c r p
load demo3
disp(p)


%% show pixel locations

imshow(rgb);
hold on
plot(c,r,'wo');
for n=1:length(c)
    text(c(n)+10,r(n),sprintf('%d',n),'Color','w');
end
hold off

%% instantiate distance tool

imshow(rgb);
% hd = imdistline;
% save demo3 c r p point1 point2
hd = imdistline(gca, point1, point2);

%%
% The Distance tool contains a structure of function handles, 
% called an API, that can be used to retrieve distance information 
% and control other aspects of Distance tool behavior. 

api = iptgetapi(hd);
w = api.getDistance();
fprintf('distance %g pixels\n',w);

